Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Parallel

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Parallel

All Implemented Interfaces:
  TaskContainer

public class Parallel
extends Task
implements TaskContainer

Executes the contained tasks in separate threads, continuing once all are completed.

Since:
  Ant 1.4
Author:
  Thomas Christen chr@active.ch, Conor MacNeill

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Parallel()`

Method Summary
`void` | `addTask(Task nestedTask)` Add a nested task to execute in parallel.
`void` | `execute()` Block execution until the specified time or for a specified amount of milliseconds and if defined, execute the wait status.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parallel

    public Parallel()

Method Detail

### addTask

    public void addTask(Task nestedTask)
                 throws BuildException

  Add a nested task to execute in parallel.

  Specified by:
    `addTask` in interface `TaskContainer`
  Parameters:
    `nestedTask` - Nested task to be executed in parallel
  Throws:
    `BuildException`

### execute

    public void execute()
                 throws BuildException

  Block execution until the specified time or for a specified amount of milliseconds and if defined, execute the wait status.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.